Subject: Ticket Assigned - My Account
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 26 Jul 2021 03:47:39 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account Hello, on July 14th I was trying to make an online order, the order did not process but 26.850 was deducted from my account. I received a message saying that the order was not processed and to contact my bank if any amount was deducted. I went to my bank today and they told me the amount was approved so now I need to contact home center to get my money back since it’s been approved already. Please let me know how my money will get refunded. Thank you! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2902736